Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Berkeley DB Java Edition version 3.3.69
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sleepycat.je
Class CursorConfig

    java.lang.Object
      com.sleepycat.je.CursorConfig

All Implemented Interfaces:
  Cloneable

    public class CursorConfig

extends Object
implements Cloneable

Specifies the attributes of database cursor. An instance created with the default constructor is initialized with the system's default settings.

Field Summary
`static CursorConfig` | `DEFAULT` Default configuration used if null is passed to methods that create a cursor.
`static CursorConfig` | `DIRTY_READ` Deprecated. This has been replaced by `READ_UNCOMMITTED` to conform to ANSI database isolation terminology.
`static CursorConfig` | `READ_COMMITTED` A convenience instance to configure a cursor for read committed isolation.
`static CursorConfig` | `READ_UNCOMMITTED` A convenience instance to configure read operations performed by the cursor to return modified but not yet committed data.

Constructor Summary
`CursorConfig()` An instance created using the default constructor is initialized with the system's default settings.

Method Summary
`boolean` | `getDirtyRead()` Deprecated. This has been replaced by `getReadUncommitted()` to conform to ANSI database isolation terminology.
`boolean` | `getReadCommitted()` Returns true if read operations performed by the cursor are configured to return modified but not yet committed data.
`boolean` | `getReadUncommitted()` Returns true if read operations performed by the cursor are configured to return modified but not yet committed data.
`void` | `setDirtyRead(boolean dirtyRead)` Deprecated. This has been replaced by `setReadUncommitted(boolean)` to conform to ANSI database isolation terminology.
`void` | `setReadCommitted(boolean readCommitted)` Configures read operations performed by the cursor to return modified but not yet committed data.
`void` | `setReadUncommitted(boolean readUncommitted)` Configures read operations performed by the cursor to return modified but not yet committed data.
`String` | `toString()` Returns the values for each configuration attribute.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### DEFAULT

    public static final CursorConfig DEFAULT

  Default configuration used if null is passed to methods that create a cursor.

### READ_UNCOMMITTED

    public static final CursorConfig READ_UNCOMMITTED

  A convenience instance to configure read operations performed by the cursor to return modified but not yet committed data.

### DIRTY_READ

    public static final CursorConfig DIRTY_READ

  Deprecated. This has been replaced by `READ_UNCOMMITTED` to conform to ANSI database isolation terminology.
  A convenience instance to configure read operations performed by the cursor to return modified but not yet committed data.

### READ_COMMITTED

    public static final CursorConfig READ_COMMITTED

  A convenience instance to configure a cursor for read committed isolation. This ensures the stability of the current data item read by the cursor but permits data read by this cursor to be modified or deleted prior to the commit of the transaction.

Constructor Detail

### CursorConfig

    public CursorConfig()

  An instance created using the default constructor is initialized with the system's default settings.

Method Detail

### setReadUncommitted

    public void setReadUncommitted(boolean readUncommitted)

  Configures read operations performed by the cursor to return modified but not yet committed data.

  Parameters:
    `readUncommitted` - If true, configure read operations performed by the cursor to return modified but not yet committed data.
  See Also:
    `LockMode.READ_UNCOMMITTED`

### getReadUncommitted

    public boolean getReadUncommitted()

  Returns true if read operations performed by the cursor are configured to return modified but not yet committed data.

  Returns:
    true if read operations performed by the cursor are configured to return modified but not yet committed data.
  See Also:
    `LockMode.READ_UNCOMMITTED`

### setDirtyRead

    public void setDirtyRead(boolean dirtyRead)

  Deprecated. This has been replaced by `setReadUncommitted(boolean)` to conform to ANSI database isolation terminology.

  Configures read operations performed by the cursor to return modified but not yet committed data.

  Parameters:
    `dirtyRead` - If true, configure read operations performed by the cursor to return modified but not yet committed data.

### getDirtyRead

    public boolean getDirtyRead()

  Deprecated. This has been replaced by `getReadUncommitted()` to conform to ANSI database isolation terminology.

  Returns true if read operations performed by the cursor are configured to return modified but not yet committed data.

  Returns:
    true if read operations performed by the cursor are configured to return modified but not yet committed data.

### setReadCommitted

    public void setReadCommitted(boolean readCommitted)

  Configures read operations performed by the cursor to return modified but not yet committed data.

  Parameters:
    `readCommitted` - If true, configure read operations performed by the cursor to return modified but not yet committed data.
  See Also:
    `LockMode.READ_COMMITTED`

### getReadCommitted

    public boolean getReadCommitted()

  Returns true if read operations performed by the cursor are configured to return modified but not yet committed data.

  Returns:
    true if read operations performed by the cursor are configured to return modified but not yet committed data.
  See Also:
    `LockMode.READ_COMMITTED`

### toString

    public String toString()

  Returns the values for each configuration attribute.

  Overrides:
    `toString` in class `Object`
  Returns:
    the values for each configuration attribute.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Berkeley DB Java Edition version 3.3.69
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2004,2008 Oracle. All rights reserved.